summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-plugins/kodi-pvr-iptvsimple/kodi-pvr-iptvsimple-7.6.2.ebuild')
-rw-r--r--media-plugins/kodi-pvr-iptvsimple/kodi-pvr-iptvsimple-7.6.2.ebuild43
1 files changed, 43 insertions, 0 deletions
diff --git a/media-plugins/kodi-pvr-iptvsimple/kodi-pvr-iptvsimple-7.6.2.ebuild b/media-plugins/kodi-pvr-iptvsimple/kodi-pvr-iptvsimple-7.6.2.ebuild
new file mode 100644
index 00000000000..36d5b715c65
--- /dev/null
+++ b/media-plugins/kodi-pvr-iptvsimple/kodi-pvr-iptvsimple-7.6.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake kodi-addon
+
+DESCRIPTION="Kodi's IPTVSimple client addon"
+HOMEPAGE="https://github.com/kodi-pvr/pvr.iptvsimple"
+SRC_URI=""
+
+case ${PV} in
+9999)
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/kodi-pvr/pvr.iptvsimple.git"
+ inherit git-r3
+ ;;
+*)
+ CODENAME="Matrix"
+ KEYWORDS="~amd64 ~x86"
+ SRC_URI="https://github.com/kodi-pvr/pvr.iptvsimple/archive/${PV}-${CODENAME}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/pvr.iptvsimple-${PV}-${CODENAME}"
+ ;;
+esac
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+DEPEND="
+ dev-libs/pugixml
+ =media-tv/kodi-19*
+ sys-libs/zlib
+ "
+
+RDEPEND="
+ ${DEPEND}
+ "
+
+src_prepare() {
+ [ -d depends ] && rm -rf depends || die
+ cmake_src_prepare
+}